curl --request GET \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/media-bridge/2026-03/{appId}/settings/object-definitions/{mediaType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objectTypeId": "<string>",
"objectTypeName": "<string>",
"properties": [
{
"objectTypeId": "<string>",
"property": {
"allowedObjectTypes": [
{
"innerId": 123,
"metaTypeId": 123
}
],
"calculated": true,
"canArchive": true,
"canRestore": true,
"createdAt": 123,
"createdUserId": 123,
"currencyPropertyName": "<string>",
"dataSensitivity": "high",
"dateDisplayHint": "absolute",
"deleted": true,
"description": "<string>",
"displayMode": "all_unique_versions",
"displayOrder": 123,
"enforceMultivalueUniqueness": true,
"externalOptions": true,
"externalOptionsReferenceType": "<string>",
"favorited": true,
"favoritedOrder": 123,
"fieldType": "<string>",
"formField": true,
"fromUserId": 123,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"isCustomizedDefault": true,
"isMultiValued": true,
"isPartial": true,
"label": "<string>",
"mutableDefinitionNotDeletable": true,
"name": "<string>",
"numberDisplayHint": "currency",
"optionSortStrategy": "ALPHABETICAL",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"optionsAreMutable": true,
"owningAppId": 123,
"portalId": 123,
"readOnlyDefinition": true,
"readOnlyValue": true,
"referencedObjectType": "ABANDONED_CART",
"searchTextAnalysisMode": "NONE",
"searchableInGlobalSearch": true,
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"textDisplayHint": "domain_name",
"type": "bool",
"updatedAt": 123
},
"calculationExpression": {
"operator": "CONSTANT_BOOLEAN",
"propertyName": "<string>",
"value": true
},
"calculationFormula": "<string>",
"definitionSource": {
"type": "GLOBAL",
"name": "<string>"
},
"extensionData": {
"extensionStatusMap": {},
"tags": [
"<string>"
],
"caseChangeTestExtensionData": {
"mood": "ANGRY"
},
"optionDecoratorsExtensionData": {
"optionDecoratorStyle": "LABEL_ONLY",
"optionDecorators": {}
},
"requiredPropertiesExtensionData": {
"isRequiredProperty": true
},
"softRequiredPropertiesExtensionData": {
"isSoftRequiredProperty": true
}
},
"externalOptionsMetaData": {
"filter": {
"includeHelpdeskRoutableTeamsOnly": true,
"includeUnconfirmedUsers": true,
"listProcessingTypes": [
"<string>"
],
"pipelineIds": [
"<string>"
],
"teamIds": [
"<string>"
]
},
"fromObjectId": 123,
"propertyName": "<string>",
"relatedObjectTypeId": "<string>"
},
"fulcrumPortalId": 123,
"fulcrumTimestamp": 123,
"janusGroup": "<string>",
"lookupAssociationSpec": {
"associationSpec": {
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
},
"cardinality": "ONE_TO_MANY",
"maxToObjectIds": 123,
"toObjectTypeId": "<string>"
},
"permission": {
"accessLevel": "<string>"
},
"propertyDefinitionSource": {
"type": "GLOBAL",
"name": "<string>"
},
"propertyRequirements": {
"gates": [
"<string>"
],
"operator": "AND",
"scopeNames": [
"<string>"
],
"settings": [
"<string>"
]
},
"rollupExpression": {
"associationTypes": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
],
"rollupOperator": "AVERAGE",
"sourceObjectTypeId": "<string>",
"sourcePropertyName": "<string>",
"conditionalExpression": {
"operator": "CONSTANT_BOOLEAN",
"propertyName": "<string>",
"value": true
},
"conditionalFormula": "<string>",
"emptyRollupValue": "<string>",
"sourceCompareByPropertyName": "<string>"
}
}
],
"propertyGroups": [
{
"displayName": "<string>",
"displayOrder": 123,
"fulcrumPortalId": 123,
"fulcrumTimestamp": 123,
"hubspotDefined": true,
"name": "<string>"
}
],
"schema": {
"allowsSensitiveProperties": true,
"createDatePropertyName": "<string>",
"defaultSearchPropertyNames": [
"<string>"
],
"deleted": true,
"fullyQualifiedName": "<string>",
"hasCustomProperties": true,
"hasDefaultProperties": true,
"hasExternalObjectIds": true,
"hasOwners": true,
"hasPipelines": true,
"id": 123,
"indexedForFiltersAndReports": true,
"lastModifiedPropertyName": "<string>",
"metaType": "CMS_HUBDB",
"metaTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"objectTypeIdString": "<string>",
"permissioningType": "ALL_OR_NONE",
"pipelinePropertyName": "<string>",
"pipelineStagePropertyName": "<string>",
"requiredProperties": [
"<string>"
],
"restorable": true,
"scopeMappings": [
{
"accessLevel": "ALL",
"requestAction": "COMMUNICATE",
"scopeName": "<string>"
}
],
"secondaryDisplayLabelPropertyNames": [
"<string>"
],
"accessScopeName": "<string>",
"createdAt": 123,
"description": "<string>",
"integrationAppId": 123,
"janusGroup": "<string>",
"ownerPortalId": 123,
"pipelineCloseDatePropertyName": "<string>",
"pipelineTimeToClosePropertyName": "<string>",
"pluralForm": "<string>",
"primaryDisplayLabelPropertyName": "<string>",
"readScopeName": "<string>",
"singularForm": "<string>",
"status": "Deprecated",
"visibilities": [
"Customer-facing"
],
"visibility": "Customer-facing",
"writeScopeName": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Get object types for a supported media
Retrieve the object definitions for a specified media type within an app. This endpoint allows you to access the settings related to the object definitions of various media types such as VIDEO, AUDIO, DOCUMENT, OTHER, and IMAGE. It is useful for understanding the structure and properties associated with different media types in your application.
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the app for which the object definitions are being retrieved.
The type of media for which the object definitions are being retrieved. Valid values are VIDEO, AUDIO, DOCUMENT, OTHER, and IMAGE.
AUDIO, DOCUMENT, IMAGE, OTHER, VIDEO Query Parameters
A boolean indicating whether to include the full definition of the object. If true, the response will contain more detailed information.
Response
successful operation
A string representing the unique identifier for the object type.
A string representing the name of the object type.
An array of properties that belong to the object type, each defining specific attributes of the object.
Show child attributes
Show child attributes
An array of property groups associated with the object type, detailing how properties are grouped together.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?